%define _disable_ld_no_undefined 1
# Avoid auto dependencies adding expect for secure-card example script
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/.*$

Name:       ppp
Version:    2.5.0
Release:    %mkrel 4
Summary:    The Point-to-Point Protocol daemon
License:    BSD and LGPLv2+ and GPLv2+ and Public Domain
URL:        http://www.samba.org/ppp
Group:		System/Servers

Source0:    https://download.samba.org/pub/ppp/ppp-%{version}.tar.gz
Source1:    ppp-pam.conf
Source2:    ppp-logrotate.conf
Source20:	ip-down
Source21:	ip-down.ipv6to4
Source22:	ip-up
Source23:	ip-up.ipv6to4
Source24:	ipv6-down
Source25:	ipv6-up
Source26:	ifup-ppp
Source27:	ifdown-ppp
Source12:   ppp-watch.tar.xz

Patch0:     ppp-2.5.0-use-change-resolv-function.patch
Patch1:		ppp-options.patch
Patch2:     ppp-2.5.0-install-private-header.patch

BuildRequires:	autoconf
BuildRequires:	libatm-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pam-devel
BuildRequires:	libtool
BuildRequires:	glibc-static-devel
BuildRequires:	pkgconfig(glib-2.0)

Requires: glibc >= 2.0.6
Requires: pam
Requires: %{_lib}pcap1
Obsoletes: ppp-pppoatm
Provides: ppp-pppoatm = %{version}-%{release}
Obsoletes: ppp-pppoe
Provides: ppp-pppoe = %{version}-%{release}
Obsoletes: ppp-dhcp
Provides: ppp-dhcp = %{version}-%{release}
Obsoletes: ppp-radius
Provides:  ppp-radius = %{version}-%{release}


%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support. The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP (Internet Service Provider) or other
organization over a modem and phone line.

%package devel
Summary: Headers for ppp plugin development
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files for building plugins for ppp.

%prep
%setup -qn %{name}-%{name}-%{version}
%apply_patches

tar -xJf %{SOURCE12}

%build
autoreconf -fiv
%configure2_5x --disable-systemd --enable-cbcp --with-pam
%make_build
%make_build -C ppp-watch

%install
%make_install
find scripts -type f | xargs chmod a-x
make ROOT=%{buildroot} -C ppp-watch install

# create log files dir
install -d %{buildroot}%{_localstatedir}/log/ppp

# install pam config
install -d %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/ppp

# install logrotate script
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 -p %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/ppp

# Provide pointers for people who expect stuff in old places
touch %{buildroot}/var/log/ppp/connect-errors

ln -s ../../var/log/ppp/connect-errors %{buildroot}/etc/ppp/connect-errors
ln -s ../../run/ppp/resolv.conf %{buildroot}/etc/ppp/resolv.conf

# install scripts (previously owned by initscripts package)
install -d %{buildroot}%{_sysconfdir}/ppp
install -p %{SOURCE20} %{buildroot}%{_sysconfdir}/ppp/ip-down
install -p %{SOURCE21} %{buildroot}%{_sysconfdir}/ppp/ip-down.ipv6to4
install -p %{SOURCE22} %{buildroot}%{_sysconfdir}/ppp/ip-up
install -p %{SOURCE23} %{buildroot}%{_sysconfdir}/ppp/ip-up.ipv6to4
install -p %{SOURCE24} %{buildroot}%{_sysconfdir}/ppp/ipv6-down
install -p %{SOURCE25} %{buildroot}%{_sysconfdir}/ppp/ipv6-up

install -d %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/
install -p %{SOURCE26} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
install -p %{SOURCE27} %{buildroot}%{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp

# ghosts
mkdir -p %{buildroot}/run/ppp


%files
%{_sbindir}/chat
%{_sbindir}/pppd
%{_sbindir}/pppdump
%{_sbindir}/pppoe-discovery
%{_sbindir}/pppstats
%{_sbindir}/ppp-watch
%dir %{_sysconfdir}/ppp
# we provide these through initscripts so exclude them..
#-----------------------------------------------------------
%exclude %{_sysconfdir}/ppp/ip-up
%exclude %{_sysconfdir}/ppp/ip-down
%exclude %{_sysconfdir}/ppp/ip-up.ipv6to4
%exclude %{_sysconfdir}/ppp/ip-down.ipv6to4
%exclude %{_sysconfdir}/ppp/ipv6-up
%exclude %{_sysconfdir}/ppp/ipv6-down
%exclude %{_sysconfdir}/sysconfig/network-scripts/ifdown-ppp
%exclude %{_sysconfdir}/sysconfig/network-scripts/ifup-ppp
#----------------------------------------------------------
%{_sysconfdir}/ppp/openssl.cnf
%{_sysconfdir}/ppp/connect-errors
%{_sysconfdir}/ppp/resolv.conf
%{_mandir}/man8/chat.8*
%{_mandir}/man8/pppd.8*
%{_mandir}/man8/pppdump.8*
%{_mandir}/man8/pppd-radattr.8*
%{_mandir}/man8/pppd-radius.8*
%{_mandir}/man8/pppstats.8*
%{_mandir}/man8/pppoe-discovery.8*
%{_mandir}/man8/ppp-watch.8*
%{_libdir}/pppd
%ghost %dir /run/ppp
%dir %{_sysconfdir}/logrotate.d
%attr(700, root, root) %dir %{_localstatedir}/log/ppp
%config(noreplace) %{_sysconfdir}/ppp/eaptls-client
%config(noreplace) %{_sysconfdir}/ppp/eaptls-server
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/chap-secrets
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/options
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/pap-secrets
%config(noreplace) %{_sysconfdir}/pam.d/ppp
%config(noreplace) %{_sysconfdir}/logrotate.d/ppp
%attr(700, root, root) %dir /var/log/ppp
/var/log/ppp/*

%files devel
%{_includedir}/pppd
%doc PLUGINS
%{_libdir}/pkgconfig/pppd.pc

%changelog
* Sun Jul 16 2023 tex - 2.5.0-4pclos2023
- try to fix obsoletes

* Sun Jul 16 2023 tex - 2.5.0-3pclos2023
- obsolete ppp-radius too

* Sat Jul 15 2023 tex - 2.5.0-2pclos2023
- this pkg aint right

* Wed Jul 12 2023 yodelu 2.5.0-1pclos2023
- update
